上传文件
以 multipart 表单数据上传一个文件,并返回其文件记录。
- 表单:
file部分必填,须携带文件名(或在表单中显式提供filename)。该部分自身的 Content-Type 可以省略,存储的 MIME 类型将按文件内容与文件名检测。 - 限制:单个文件上限 100 MiB 且不能为空。上传后的文件不可修改。
- 命名:与现有文件重名上传时,服务器会在存储的文件名上添加后缀,例如
report (1).txt。
POST
/
v1
/
files
上传文件
curl --request POST \
--url https://api.moonshot.cn/v1/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.moonshot.cn/v1/files"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.moonshot.cn/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "file_01h455vb4pex5vsknk084sn02q",
"filename": "report.txt",
"mime_type": "text/plain",
"size_bytes": 15,
"created_at": "2026-08-26T12:00:00Z",
"purpose": "file-extract",
"extract_status": "ready"
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_parameter_error",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}请求头
本次请求使用的 API 版本,格式为 YYYY-MM-DD。发送 2026-09-01-beta 即使用本文档所述版本。/v1/files* 之外必传:未携带请求头将被拒绝并返回 400 invalid_request_error;在 /v1/files* 上缺省时选择兼容行为。所有端点对未知取值均返回 400 invalid_request_error。
平台当前支持的 API 版本。新的日期版本发布时加入;版本在公告的 Sunset 日期后移除。
可用选项:
2026-09-01-beta 请求体
multipart/form-data
响应
上传文件的记录。
此页面对您有帮助吗?
⌘I
上传文件
